Index: imaps-frontend/src/App.jsx
===================================================================
--- imaps-frontend/src/App.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/App.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -19,4 +19,7 @@
 import {AppProvider} from "./components/AppContext/AppContext.jsx";
 import AdminPage from "./pages/AdminPage/AdminPage.jsx";
+import {AuthCallback} from "./pages/AuthCallback.jsx";
+import PrivacyPolicy from "./pages/PrivacyPolicy/PrivacyPolicy.jsx";
+import TermsOfService from "./pages/TermsOfService/TermsOfService.jsx";
 
 
@@ -30,12 +33,15 @@
 
                     <Route element={<ProtectedRoute/>}>
-                        <Route path="/myMaps/:mapName/Draw" element={<Draw/>}/>
+                        <Route path="/myMaps/Draw/:mapName" element={<Draw/>}/>
                         <Route path="/myMaps" element={<MyMaps/>}/>
-                        <Route path="/myMaps/:mapName/View" element={<MapView isPrivate={true}/>}/>
+                        <Route path="/myMaps/View/:mapName" element={<MapView isPrivate={true}/>}/>
                         <Route path="/Admin" element={<AdminPage/>}/>
                     </Route>
                     <Route path="/" element={<IMaps/>}/>
-                    <Route path="/Maps/:mapName/View" element={<MapView isPrivate={false}/>}/>
+                    <Route path="/Maps/View/:mapName" element={<MapView isPrivate={false}/>}/>
                     <Route path="/Maps" element={<BrowseMaps/>}/>
+                    <Route path="/auth-callback" element={<AuthCallback/>}/>
+                    <Route path={"/privacy-policy"} element={<PrivacyPolicy/>}/>
+                    <Route path={"/terms-of-service"} element={<TermsOfService/>}/>
 
 
Index: imaps-frontend/src/components/DrawGuide/DrawGuide.jsx
===================================================================
--- imaps-frontend/src/components/DrawGuide/DrawGuide.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/components/DrawGuide/DrawGuide.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -18,6 +18,6 @@
           <div onClick={toggleModal} className={styles.overlay}></div>
           <div className={styles.modalContent}>
-            <h2>How to Use the Map Builder</h2>
-            <p>Welcome to the Map Builder! Here you can create an indoor map, render it and enjoy!:</p>
+            <h2 className={styles.title}>How to Use the Map Builder</h2>
+            <p className={styles.paragraph}>Welcome to the Map Builder! Here you can create an indoor map, render it and enjoy!:</p>
             <br></br>
             <ul>
@@ -35,5 +35,5 @@
             </ul>
             <br></br>
-            <p>After completing your map, click the render button and go to the View page to see your full featured map!</p>
+            <p className={styles.paragraph}>After completing your map, click the render button and go to the View page to see your full featured map!</p>
 
             <button className={styles.closeModal} onClick={toggleModal}>
Index: imaps-frontend/src/components/FilterMaps/FilterMaps.jsx
===================================================================
--- imaps-frontend/src/components/FilterMaps/FilterMaps.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-frontend/src/components/FilterMaps/FilterMaps.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -0,0 +1,37 @@
+import React, { useState, useEffect, useCallback } from "react";
+import styles from "./FilterMaps.module.css";
+
+export default function FilterMaps({mapTypes,setFilter}) {
+  const [selectedCategory, setSelectedCategory] = useState("all");
+
+
+
+  const mapFilter = useCallback((category) => {
+    setFilter(category)
+    setSelectedCategory(category);
+  },[])
+
+  return (
+    <div className={styles.wrapper}>
+      <div className={styles.scrollableContainer}>
+        <button
+          className={`${styles.buttonValue} ${selectedCategory === "all" ? styles.active : ""}`}
+          onClick={() => mapFilter("all")}
+        >
+          All
+        </button>
+
+        {mapTypes?.map((mapType, index) => (
+          <button
+            key={index}
+            className={`${styles.buttonValue} ${selectedCategory === mapType ? styles.active : ""}`}
+            onClick={() => mapFilter(mapType)}
+          >
+            {mapType}
+          </button>
+        ))}
+      </div>
+    </div>
+  );
+}
+
Index: imaps-frontend/src/components/ListReports/ListReports.jsx
===================================================================
--- imaps-frontend/src/components/ListReports/ListReports.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-frontend/src/components/ListReports/ListReports.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -0,0 +1,77 @@
+import React, { useEffect, useState } from "react";
+import styles from "./ListReports.module.css";
+import HttpService from "../../scripts/net/HttpService.js";
+import config from "../../scripts/net/netconfig.js";
+import {Link} from "react-router-dom";
+
+const ListReports = () => {
+    const [isModalOpen, setIsModalOpen] = useState(false);
+    const [reports, setReports] = useState([]);
+
+    useEffect(() => {
+        const loadReports = async () => {
+            try {
+                const httpService = new HttpService(true);
+                httpService.setAuthenticated();
+
+                const respReports = await httpService.get(config.admin.load_reports);
+
+                const sortedReports = respReports.sort(
+                    (a, b) => new Date(b.date) - new Date(a.date)
+                );
+
+                setReports(sortedReports);
+            } catch (error) {
+                console.error("Error loading reports:", error);
+            }
+        };
+        loadReports();
+    }, []);
+
+    const handleButtonClick = () => {
+        setIsModalOpen(true);
+    };
+
+    const handleCloseModal = () => {
+        setIsModalOpen(false);
+    };
+
+    return (
+        <div>
+            <button className={styles.openButton} onClick={handleButtonClick}>
+                View Reports
+            </button>
+
+            {isModalOpen && (
+                <div className={styles.modalBackground} onClick={handleCloseModal}>
+                    <div className={styles.modalContent} onClick={(e) => e.stopPropagation()}>
+                        <div className={styles.heading}>Reports</div>
+                        <div className={styles.cardContainer}>
+                            {reports.length > 0 ? (
+                                reports.map((report, index) => (
+                                    <div key={index} className={styles.card}>
+                                        <div className={styles.cardTitle}>{report.subject}</div>
+                                        <div className={styles.cardContent}>{report.content}</div>
+                                        <small className={styles.cardFooter}>
+                                            User: {report.username} <br/>
+                                            Map: <Link to={`/myMaps/View/${report.mapName}`}>{report.mapName}</Link>
+                                            <br/>
+                                            Submitted: {new Date(report.date).toLocaleDateString()}
+                                        </small>
+                                    </div>
+                                ))
+                            ) : (
+                                <p className={styles.noReports}>No reports available</p>
+                            )}
+                        </div>
+                        <button className={styles.closeButton} onClick={handleCloseModal}>
+                            Close
+                        </button>
+                    </div>
+                </div>
+            )}
+        </div>
+    );
+};
+
+export default ListReports;
Index: imaps-frontend/src/components/LoadingContainer/LoadingContainer.jsx
===================================================================
--- imaps-frontend/src/components/LoadingContainer/LoadingContainer.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/components/LoadingContainer/LoadingContainer.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -1,3 +1,4 @@
 import React from "react";
+import styles from "./LoadingContainer.module.css"
 
 export const LoadingContainer = () => {
@@ -5,5 +6,4 @@
         <div className="loading-container">
             <div className="spinner"></div>
-            <p>Loading, please wait...</p>
         </div>
     );
Index: imaps-frontend/src/components/Logo/Logo.jsx
===================================================================
--- imaps-frontend/src/components/Logo/Logo.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/components/Logo/Logo.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -1,5 +1,5 @@
 import React from "react";
 import { useNavigate } from "react-router-dom";
-import logoImage from "../../assets/logo_icon.png";
+import novo_logo from "../../assets/novo_logo_nobg_cropped.png";
 import styles from "./Logo.module.css";
 
@@ -16,5 +16,5 @@
       onClick={handleClick}
     >
-      <img src={logoImage} alt="Logo" className={styles.logoImage} />
+      <img src={novo_logo} alt="Logo" className={styles.logoImage} />
     </div>
   );
Index: imaps-frontend/src/components/MapInfoModal/MapInfoModal.jsx
===================================================================
--- imaps-frontend/src/components/MapInfoModal/MapInfoModal.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/components/MapInfoModal/MapInfoModal.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -1,38 +1,53 @@
-import React, {useEffect, useState} from "react";
+import React, { useEffect, useState } from "react";
 import styles from "./MapInfoModal.module.css";
-import {json, useNavigate} from "react-router-dom";
 import edit_icon from "../../assets/edit_icon_black.png";
 import PublishForm from "../PublishForm/PublishForm.jsx";
 import HttpService from "../../scripts/net/HttpService.js";
 import config from "../../scripts/net/netconfig.js";
-import {useAppContext} from "../AppContext/AppContext.jsx";
-
-export default function MapInfoModal({isOpen, onClose, map, onDelete, onUpdate, onPublish, published=false}) {
+import { useAppContext } from "../AppContext/AppContext.jsx";
+import { useNavigate } from "react-router-dom";
+
+export default function MapInfoModal({
+                                         isOpen,
+                                         onClose,
+                                         map,
+                                         onDelete,
+                                         onUpdate,
+                                         onPublish,
+                                         published = false,
+                                     }) {
     const [isEditPopupOpen, setEditPopupOpen] = useState(false);
-    const [editedName, setEditedName] = useState(map?.mapName || "");
-    const [editedGmapsUrl, setEditedGmapsUrl] = useState(map?.gmaps_url || "");
-    const [publishFormOpen,setPublishFormOpen] = useState(false)
+    const [editedName, setEditedName] = useState("");
+    const [editedGmapsUrl, setEditedGmapsUrl] = useState("");
+    const [editedType, setEditedType] = useState("");
+    const [publishFormOpen, setPublishFormOpen] = useState(false);
     const navigate = useNavigate();
-    const[loadedFormData,setLoadedFormData] = useState(null)
-
+    const [loadedFormData, setLoadedFormData] = useState(null);
+    const { setLoading } = useAppContext();
+    const { loading } = useAppContext();
+    const { username } = useAppContext();
 
     useEffect(() => {
-        console.log("GMAPS: " + JSON.stringify(map))
-    }, []);
-
-    const {username} = useAppContext();
+        if (map) {
+            setEditedName(map.mapName || "");
+            setEditedGmapsUrl(map.gmaps_url || "");
+            setEditedType(map.mapType || "");
+        }
+    }, [map, isEditPopupOpen]);
 
     if (!isOpen || !map) return null;
 
     const handleView = () => {
-        navigate(`/myMaps/${map.mapName}/View`)
+        navigate(`/myMaps/View/${map.mapName}`);
     };
 
     const handleEdit = () => {
-        navigate(`/myMaps/${map.mapName}/Draw`)
+        navigate(`/myMaps/Draw/${map.mapName}`);
     };
 
     const handleDelete = () => {
-        if (window.confirm(`Are you sure you want to delete the map "${map.mapName}"?`)) {
+        if (
+            window.confirm(`Are you sure you want to delete the map "${map.mapName}"?`)
+        ) {
             onDelete(map.mapName);
             onClose();
@@ -40,5 +55,4 @@
     };
 
-
     const openEditPopup = () => {
         setEditPopupOpen(true);
@@ -51,117 +65,134 @@
     const handleEditSubmit = async () => {
         const updatedMap = {
-            ...map,
-            mapName: editedName,
-            gmaps_url: editedGmapsUrl,
+            initialName: map.mapName,
+            name: editedName,
+            gmapsUrl: editedGmapsUrl,
+            type: editedType,
         };
-
-        try {
-            //await onUpdate(updatedMap);
-            setEditPopupOpen(false);
-        } catch (error) {
-            console.error("Error updating map:", error);
-        }
-    };
-
-    const openPublishModal = async () => {
-        const httpService = new HttpService(true);
-        const respForm = await httpService.get(`${config.my_maps.publish_get}?mapName=${map.mapName}`)
-        setLoadedFormData(respForm);
-        setPublishFormOpen(true)
-    };
-
-    const sendPublishRequest = async (formData) => {
-        const httpService = new HttpService(true);
-        formData.mapName = map.mapName;
-        console.log("FORMDATA: "+JSON.stringify(formData))
-        await httpService.post(`${config.my_maps.publish}?username=${username}`,formData);
-        setPublishFormOpen(false)
-        onPublish()
-    }
+        onUpdate(updatedMap);
+        closeEditPopup()
+    };
 
     return (
         <div className={styles.modalOverlay} onClick={onClose}>
-            <div className={styles.modalContent} onClick={(e) => e.stopPropagation()}>
-                {publishFormOpen && (
-                    <PublishForm mapName={map.mapName} formData={loadedFormData} onSubmit={sendPublishRequest} onCancel={() => setPublishFormOpen(false)}/>
-                )}
-
-                <img src={map.image_url} alt="Map Thumbnail" className={styles.mapImage}/>
-                <h2 className={styles.title}>
-                    {map.mapName}
-                    <img
-                        src={edit_icon}
-                        alt="Edit"
-                        className={styles.editIcon}
-                        onClick={openEditPopup}
-                    />
-                </h2>
-                <p><strong>Status:</strong> {map.status}</p>
-
-                <p><strong>Created At:</strong> {new Date(map.created_at).toLocaleString()}</p>
-                <p><strong>Modified At:</strong> {new Date(map.modified_at).toLocaleString()}</p>
-                <p><strong>Published
-                    At:</strong> {map.published_at ? new Date(map.published_at).toLocaleString() : "Not published yet"}
-                </p>
-                <p>
-                    <strong>Google Maps URL:</strong>
-                    <a href={map.gMapsUrl}  rel="noopener noreferrer">
-                        Open in Google Maps
-                    </a>
-                </p>
-
-                <div className={styles.buttonContainer}>
-                    <button className={styles.viewButton} onClick={handleView}>
-                        View
-                    </button>
-                    <button className={styles.editButton} onClick={handleEdit}>
-                        Edit
-                    </button>
-                    <button className={styles.deleteButton} onClick={handleDelete}>
-                        Delete
-                    </button>
-                    {!map.is_published && !published && (
-                        <button className={styles.publishButton} onClick={openPublishModal}>
-                            Publish
+            <div
+                className={styles.modalContent}
+                onClick={(e) => e.stopPropagation()}
+            >
+                {!loading && (
+                    <>
+                        <img
+                            src={map.image_url}
+                            alt="Map Thumbnail"
+                            className={styles.mapImage}
+                        />
+                        <h2 className={styles.title}>
+                            {map.mapName}
+                            <img
+                                src={edit_icon}
+                                alt="Edit"
+                                className={styles.editIcon}
+                                onClick={openEditPopup}
+                            />
+                        </h2>
+                        <p>
+                            <strong>Status:</strong> {map.status}
+                        </p>
+                        <p>
+                            <strong>Created At:</strong>{" "}
+                            {new Date(map.created_at).toLocaleString()}
+                        </p>
+                        <p>
+                            <strong>Modified At:</strong>{" "}
+                            {new Date(map.modified_at).toLocaleString()}
+                        </p>
+                        <p>
+                            <strong>Published At:</strong>{" "}
+                            {map.published_at
+                                ? new Date(map.published_at).toLocaleString()
+                                : "Not published yet"}
+                        </p>
+                        <p>
+                            <strong>Google Maps URL:</strong>{" "}
+                            <a href={`${map.gmaps_url}`} rel="noopener noreferrer">
+                                Open in Google Maps
+                            </a>
+                        </p>
+
+                        <div className={styles.buttonContainer}>
+                            <button className={styles.viewButton} onClick={handleView}>
+                                View
+                            </button>
+                            <button className={styles.editButton} onClick={handleEdit}>
+                                Edit
+                            </button>
+                            <button className={styles.deleteButton} onClick={handleDelete}>
+                                Delete
+                            </button>
+                            {!map.is_published && !published && (
+                                <button
+                                    className={styles.publishButton}
+                                    onClick={() => setPublishFormOpen(true)}
+                                >
+                                    Publish
+                                </button>
+                            )}
+                        </div>
+                        <button className={styles.closeButton} onClick={onClose}>
+                            Close
                         </button>
-                    )}
-                </div>
-                <button className={styles.closeButton} onClick={onClose}>
-                    Close
-                </button>
-
-                {isEditPopupOpen && (
-                    <div className={styles.editPopupOverlay} onClick={closeEditPopup}>
-                        <div
-                            className={styles.editPopupContent}
-                            onClick={(e) => e.stopPropagation()}
-                        >
-                            <h3 className={styles.title}>Edit Map Details</h3>
-                            <div className={styles.editField}>
-                                <label>Map Name:</label>
-                                <input
-                                    type="text"
-                                    value={editedName}
-                                    onChange={(e) => setEditedName(e.target.value)}
-                                />
+
+                        {isEditPopupOpen && (
+                            <div
+                                className={styles.editPopupOverlay}
+                                onClick={closeEditPopup}
+                            >
+                                <div
+                                    className={styles.editPopupContent}
+                                    onClick={(e) => e.stopPropagation()}
+                                >
+                                    <h3 className={styles.title}>Edit Map Details</h3>
+                                    <div className={styles.editField}>
+                                        <label>Map Name:</label>
+                                        <input
+                                            type="text"
+                                            value={editedName}
+                                            onChange={(e) => setEditedName(e.target.value)}
+                                        />
+                                    </div>
+                                    <div className={styles.editField}>
+                                        <label>Google Maps URL:</label>
+                                        <input
+                                            type="text"
+                                            value={editedGmapsUrl}
+                                            onChange={(e) => setEditedGmapsUrl(e.target.value)}
+                                        />
+                                    </div>
+                                    <div className={styles.editField}>
+                                        <label>Map Type:</label>
+                                        <input
+                                            type="text"
+                                            value={editedType}
+                                            onChange={(e) => setEditedType(e.target.value)}
+                                        />
+                                    </div>
+                                    <div className={styles.editPopupButtons}>
+                                        <button
+                                            className={styles.submitButton}
+                                            onClick={handleEditSubmit}
+                                        >
+                                            Submit
+                                        </button>
+                                        <button
+                                            className={styles.cancelButton}
+                                            onClick={closeEditPopup}
+                                        >
+                                            Cancel
+                                        </button>
+                                    </div>
+                                </div>
                             </div>
-                            <div className={styles.editField}>
-                                <label>Google Maps URL:</label>
-                                <input
-                                    type="text"
-                                    value={editedGmapsUrl}
-                                    onChange={(e) => setEditedGmapsUrl(e.target.value)}
-                                />
-                            </div>
-                            <div className={styles.editPopupButtons}>
-                                <button className={styles.submitButton} onClick={handleEditSubmit}>
-                                    Submit
-                                </button>
-                                <button className={styles.cancelButton} onClick={closeEditPopup}>
-                                    Cancel
-                                </button>
-                            </div>
-                        </div>
-                    </div>
+                        )}
+                    </>
                 )}
             </div>
Index: imaps-frontend/src/components/Modals/Components/ModalUploadRoomImage.jsx
===================================================================
--- imaps-frontend/src/components/Modals/Components/ModalUploadRoomImage.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-frontend/src/components/Modals/Components/ModalUploadRoomImage.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -0,0 +1,31 @@
+import styles from "../EntranceModal/EntranceModal.module.css";
+import React, { useRef } from "react";
+
+export default function ModalUploadRoomImage() {
+    const fileInputRef = useRef(null);
+
+    const handleClick = () => {
+        fileInputRef.current.click();
+    };
+
+    return (
+        <div className={styles.formGroup}>
+            <label htmlFor="name">Room Image</label>
+            <div className={styles.customFileInput}>
+                <button
+                    type="button"
+                    className={styles.uploadButton}
+                    onClick={handleClick}
+                >
+                    Upload Image
+                </button>
+                <input
+                    type="file"
+                    accept="image/*"
+                    ref={fileInputRef}
+                    style={{ display: "none" }}
+                />
+            </div>
+        </div>
+    );
+}
Index: imaps-frontend/src/components/Modals/CreateMapModal/CreateMapModal.jsx
===================================================================
--- imaps-frontend/src/components/Modals/CreateMapModal/CreateMapModal.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/components/Modals/CreateMapModal/CreateMapModal.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -10,5 +10,4 @@
         const mapDetails = {
             name: mapName,
-            type: mapType,
         };
 
@@ -34,13 +33,4 @@
                         />
                     </label>
-                    <label>
-                        Map Type:
-                        <input
-                            type="text"
-                            value={mapType}
-                            onChange={(e) => setMapType(e.target.value)}
-                            required
-                        />
-                    </label>
                     <div className={styles.modalButtons}>
                         <button type="submit" className={styles.modalSubmitButton}>
Index: imaps-frontend/src/components/Modals/EntranceModal/EntranceModal.jsx
===================================================================
--- imaps-frontend/src/components/Modals/EntranceModal/EntranceModal.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/components/Modals/EntranceModal/EntranceModal.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -42,4 +42,5 @@
         setConnections(connections);
         setIsOpen(true);
+        event.detail.map.detachKeyPressEventListeners();
         console.log(connections, "Loaded pins on modal open");
     },"openEntranceModalEvent")
@@ -52,5 +53,5 @@
             <ModalSelectRoom shapeInfo={shapeInfo} availableRooms={ShapeQuery.findAllByTypeAndFloor(shape?.floorNum,"Room")} updateModalData={updateModalData}/>
             <ModalSelectConnections2
-                availableShapes={ShapeQuery.findAllByType("InfoPin","Entrance")} // najubo ke e entrance samo so room da mozit
+                availableShapes={ShapeQuery.findAllByTypeAndFloor(map?.floorNum,"Entrance","InfoPin")} // najubo ke e entrance samo so room da mozit
                 addConnection={addConnection}
                 updateModalData={updateModalData}
Index: imaps-frontend/src/components/Modals/Hooks/useConnections.jsx
===================================================================
--- imaps-frontend/src/components/Modals/Hooks/useConnections.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/components/Modals/Hooks/useConnections.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -5,5 +5,4 @@
 
     const addConnection = () => {
-        console.log("TOSKA",shapeInfo)
         if (!shapeInfo.selectedPin || connections.includes(shapeInfo.selectedPin)) return;
 
Index: imaps-frontend/src/components/Modals/Hooks/useModalState.jsx
===================================================================
--- imaps-frontend/src/components/Modals/Hooks/useModalState.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/components/Modals/Hooks/useModalState.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -13,5 +13,5 @@
             map.updateRoomNames();
             triggerMapSave();
-            console.log("SHAPE BEF CLOSE:",shape.info)
+            map.attachKeyPressEventListeners();
         }
         setIsOpen(!isOpen);
Index: imaps-frontend/src/components/Modals/InfoPinModal/InfoPinModal.jsx
===================================================================
--- imaps-frontend/src/components/Modals/InfoPinModal/InfoPinModal.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/components/Modals/InfoPinModal/InfoPinModal.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -37,4 +37,5 @@
         setConnections(shape.info.selectedPins || []);
         setIsOpen(true);
+        event.detail.map.detachKeyPressEventListeners();
 
         console.log(shape.info.selectedPins, "Loaded pins on modal open");
Index: imaps-frontend/src/components/Modals/RoomModal/RoomModal.jsx
===================================================================
--- imaps-frontend/src/components/Modals/RoomModal/RoomModal.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/components/Modals/RoomModal/RoomModal.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -7,4 +7,5 @@
 import useModalState from "../Hooks/useModalState.jsx";
 import {useModalEvent} from "../Hooks/useModalEvent.jsx";
+import ModalUploadRoomImage from "../Components/ModalUploadRoomImage.jsx";
 
 export default function RoomModal({map,roomTypes}) {
@@ -20,4 +21,5 @@
         setShapeInfo(shape.info);
         setIsOpen(true);
+        event.detail.map.detachKeyPressEventListeners();
 
     },"openRoomModalEvent")
@@ -30,4 +32,5 @@
             <ModalRoomTypes updateModalData={updateModalData} shapeInfo={shapeInfo} roomTypes={roomTypes}/>
             <ModalDescriptionField shapeInfo={shapeInfo} updateModalData={updateModalData}/>
+            <ModalUploadRoomImage></ModalUploadRoomImage>
             <ModalSaveButton saveDetails={saveDetails}/>
         </Modal>
Index: imaps-frontend/src/components/Modals/RoomTypeModal/RoomTypeModal.jsx
===================================================================
--- imaps-frontend/src/components/Modals/RoomTypeModal/RoomTypeModal.jsx	(revision 0c6b92add4cfaedcb91bcd37b45849f142f7d152)
+++ imaps-frontend/src/components/Modals/RoomTypeModal/RoomTypeModal.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
@@ -31,5 +31,5 @@
           <div onClick={toggleModal} className={styles.overlay}></div>
           <div className={styles.modalContent}>
-            <h2>Manage Room Types</h2>
+            <h2 style={{color: 'white'}}>Manage Room Types</h2>
 
             <form className={styles.form}>
